﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Yokogawa DL1740: (1 yr) VER IEEE /5800A+5Ch
DATE:                  2017-04-13 14:18:04
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       168
CONFIGURATION:         Fluke 5800A (C5)
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Source(s):
#        Yokogawa DL1720/DL1740 Digital Oscilloscope
#        Service Manual, SM 701710-01E, 4th Edition, July 2002
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M5800                                                    C1
  1.003  5800         600MH                        1Vpp           LS S6 S  L
  1.004  M5800                                                    C2
  1.005  5800         600MH                        1Vpp           LS S6 S  L
  1.006  M5800                                                    C3
  1.007  5800         600MH                        1Vpp           LS S6 S  L
  1.008  M5800                                                    C4
  1.009  5800         600MH                        1Vpp           LS S6 S  L
  1.010  ENDIF

  1.011  IF           NOT(VERSIONCHECK("7.3"))
  1.012  END
  1.013  ENDIF

  1.014  ASK-   R   Q N              P                            A        V

  1.015  CALL         Sub Display Copyright
  1.016  CALL         Sub High Voltage Safety Warning
  1.017  CALL         Sub Select Failed Test Mode
  1.018  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.019  HEAD         PRELIMINARY INSTRUCTIONS
  1.020  DISP         Ambient temperature: 18 °C - 28 °C.
  1.020  DISP         Relative humidity: less than 80 %.
  1.020  DISP         Warmup time: 30 minutes.

  1.021  HEAD         PRELIMINARY INSTRUCTIONS
  1.022  CALL         Sub Yokogawa DL17x0 Setup Interface IEEE
  1.023  CALL         Sub UUT Connection GPIB

  1.024  MATH         @UUT_Manufacturer = "YOKOGAWA"
  1.025  MATH         @UUT_Model        = "DL1740"
  1.026  MATH         @UUT_AssetNum     = UUT()

  1.027  IF           NOT(EMPTY(@UUT_AssetNum))
  1.028  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.029  ENDIF

  1.030  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.031  CALL         Sub Yokogawa DL17x0 Model Number

  1.032  IF           @Abort
  1.033  END
  1.034  ENDIF

  1.035  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.036  IF           @Abort
  1.037  END
  1.038  ENDIF

  1.039  RESET        *CLS
  1.040  IEEE2        *RST

  1.041  CALL         Sub Yokogawa Set Bandwidth & Num_Chan
  1.042  CALL         Sub Yokogawa DL17x0 Self Test IEEE

  1.043  DISP         Connect the 5800 to the UUT as follows:
  1.044  DISP         [32] 58xxA CHAN 1 to the UUT CH 1.
  1.045  DISP         [32] 58xxA CHAN 2 to the UUT CH 2
  1.045  DISP         [32] 58xxA CHAN 3 to the UUT CH 3
  1.045  DISP         [32] 58xxA CHAN 4 to the UUT CH 4

  1.046  MATH         M[1] = 1
  1.047  M5800                                                    C1
  1.048  CALL         Sub Yokogawa DL17x0 (1 yr) Timebase Acc IEEE /5800
  1.049  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /5800
  1.050  MATH         M[1] = 2
  1.051  M5800                                                    C2
  1.052  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /5800
  1.053  MATH         M[1] = 3
  1.054  M5800                                                    C3
  1.055  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /5800
  1.056  MATH         M[1] = 4
  1.057  M5800                                                    C4
  1.058  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /5800

  1.059  MATH         M[1] = 1
  1.060  M5800                                                    C1
  1.061  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Lev Acc IEEE /5800
  1.062  MATH         M[1] = 2
  1.063  M5800                                                    C2
  1.064  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Lev Acc IEEE /5800
  1.065  MATH         M[1] = 3
  1.066  M5800                                                    C3
  1.067  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Lev Acc IEEE /5800
  1.068  MATH         M[1] = 4
  1.069  M5800                                                    C4
  1.070  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Lev Acc IEEE /5800

  1.071  MATH         M[1] = 1
  1.072  M5800                                                    C1
  1.073  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Sens IEEE /5800
  1.074  MATH         M[1] = 2
  1.075  M5800                                                    C2
  1.076  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Sens IEEE /5800
  1.077  MATH         M[1] = 3
  1.078  M5800                                                    C3
  1.079  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Sens IEEE /5800
  1.080  MATH         M[1] = 4
  1.081  M5800                                                    C4
  1.082  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Sens IEEE /5800

  1.083  MATH         M[1] = 1
  1.084  M5800                                                    C1
  1.085  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /5800
  1.086  MATH         M[1] = 2
  1.087  M5800                                                    C2
  1.088  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /5800
  1.089  MATH         M[1] = 3
  1.090  M5800                                                    C3
  1.091  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /5800
  1.092  MATH         M[1] = 4
  1.093  M5800                                                    C4
  1.094  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /5800

  1.095  MATH         M[1] = 1
  1.096  M5800                                                    C1
  1.097  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /5800
  1.098  MATH         M[1] = 2
  1.099  M5800                                                    C2
  1.100  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /5800
  1.101  MATH         M[1] = 3
  1.102  M5800                                                    C3
  1.103  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /5800

  1.104  MATH         M[1] = 4
  1.105  M5800                                                    C4
  1.106  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /5800

  1.107  END
